# Interface: GeneratorsJson

## Table of contents

### Properties

- [extends](../../devkit/documents/GeneratorsJson#extends): string
- [generators](../../devkit/documents/GeneratorsJson#generators): Record&lt;string, GeneratorsJsonEntry&gt;
- [schematics](../../devkit/documents/GeneratorsJson#schematics): Record&lt;string, GeneratorsJsonEntry&gt;

## Properties

### extends

• `Optional` **extends**: `string`

---

### generators

• `Optional` **generators**: `Record`<`string`, `GeneratorsJsonEntry`\>

---

### schematics

• `Optional` **schematics**: `Record`<`string`, `GeneratorsJsonEntry`\>
